
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrgAifoStatusDetailType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrgAifoStatusDetailType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="AIFO KOMPROMITOVANO"/&gt;
 *     &lt;enumeration value="AIFO ZNEPLATNENO"/&gt;
 *     &lt;enumeration value="ZMENA ALGORITMU AIFO"/&gt;
 *     &lt;enumeration value="OSOBA SPOJENA"/&gt;
 *     &lt;enumeration value="OSOBA ROZDELENA"/&gt;
 *     &lt;enumeration value="AIFO NENALEZENO"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "OrgAifoStatusDetailType")
@XmlEnum
public enum OrgAifoStatusDetailType {


    /**
     * AIFO není platné. Bylo kompromitováno.
     * 
     */
    @XmlEnumValue("AIFO KOMPROMITOVANO")
    AIFO_KOMPROMITOVANO("AIFO KOMPROMITOVANO"),

    /**
     * AIFO není platné. Bylo zneplatněno.
     * 
     */
    @XmlEnumValue("AIFO ZNEPLATNENO")
    AIFO_ZNEPLATNENO("AIFO ZNEPLATNENO"),

    /**
     * AIFO není platné. Byl změněn algoritmus generování AIFO.
     * 
     */
    @XmlEnumValue("ZMENA ALGORITMU AIFO")
    ZMENA_ALGORITMU_AIFO("ZMENA ALGORITMU AIFO"),

    /**
     * AIFO není platné. Osoba byla spojena do nové identity.
     * 
     */
    @XmlEnumValue("OSOBA SPOJENA")
    OSOBA_SPOJENA("OSOBA SPOJENA"),

    /**
     * AIFO není platné. Osoba byla rozdělena do více nových identit.
     * 
     */
    @XmlEnumValue("OSOBA ROZDELENA")
    OSOBA_ROZDELENA("OSOBA ROZDELENA"),

    /**
     * AIFO nebylo nalezeno nebo není evidováno v evidenci AIS / agendy.
     * 
     */
    @XmlEnumValue("AIFO NENALEZENO")
    AIFO_NENALEZENO("AIFO NENALEZENO");
    private final String value;

    OrgAifoStatusDetailType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrgAifoStatusDetailType fromValue(String v) {
        for (OrgAifoStatusDetailType c: OrgAifoStatusDetailType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
