
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrgStatusDetailType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrgStatusDetailType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="DAVKA NEPLATNA"/&gt;
 *     &lt;enumeration value="NENALEZENA ZDROJ AGENDA/AIS"/&gt;
 *     &lt;enumeration value="NENALEZENA CIL AGENDA/AIS"/&gt;
 *     &lt;enumeration value="NENALEZENO ID ZADOSTI"/&gt;
 *     &lt;enumeration value="ZAZNAM NALEZEN"/&gt;
 *     &lt;enumeration value="ZAZNAM NENALEZEN"/&gt;
 *     &lt;enumeration value="SKUPINA NEEXISTUJE"/&gt;
 *     &lt;enumeration value="REGISTRACE SKUPINY NEDOKONCENA"/&gt;
 *     &lt;enumeration value="VNITRNI CHYBA"/&gt;
 *     &lt;enumeration value="PREKROCENY KOMPROMITACE"/&gt;
 *     &lt;enumeration value="NEEXISTUJI KLICE"/&gt;
 *     &lt;enumeration value="STAV NEROZPOZNAN"/&gt;
 *     &lt;enumeration value="CAS NESPECIFIKOVAN"/&gt;
 *     &lt;enumeration value="DYN NELZE AKTIVOVAT"/&gt;
 *     &lt;enumeration value="NELZE DESIFROVAT"/&gt;
 *     &lt;enumeration value="STARA KNIHOVNA"/&gt;
 *     &lt;enumeration value="UPOZORNENI KNIHOVNY"/&gt;
 *     &lt;enumeration value="DYN CAS NEPLATNY"/&gt;
 *     &lt;enumeration value="KNIHOVNA NENALEZENA"/&gt;
 *     &lt;enumeration value="KNIHOVNU NELZE AKTIVOVAT"/&gt;
 *     &lt;enumeration value="POUZE SIFROVANE AIFO"/&gt;
 *     &lt;enumeration value="POUZE NESIFROVANE AIFO"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "OrgStatusDetailType")
@XmlEnum
public enum OrgStatusDetailType {


    /**
     * Číslo dávky není platné.
     * 
     */
    @XmlEnumValue("DAVKA NEPLATNA")
    DAVKA_NEPLATNA("DAVKA NEPLATNA"),

    /**
     * Nenalezena kombinace zdrojového AIS a agendy.
     * 
     */
    @XmlEnumValue("NENALEZENA ZDROJ AGENDA/AIS")
    NENALEZENA_ZDROJ_AGENDA_AIS("NENALEZENA ZDROJ AGENDA/AIS"),

    /**
     * Nenalezena kombinace cílového AIS a agendy.
     * 
     */
    @XmlEnumValue("NENALEZENA CIL AGENDA/AIS")
    NENALEZENA_CIL_AGENDA_AIS("NENALEZENA CIL AGENDA/AIS"),

    /**
     * Nenalezeno ID původní žádosti, na které se odkazuje PredchoziZadostId.
     * 
     */
    @XmlEnumValue("NENALEZENO ID ZADOSTI")
    NENALEZENO_ID_ZADOSTI("NENALEZENO ID ZADOSTI"),

    /**
     * Záznam nalezen.
     * 
     */
    @XmlEnumValue("ZAZNAM NALEZEN")
    ZAZNAM_NALEZEN("ZAZNAM NALEZEN"),

    /**
     * Záznam nenalezen.
     * 
     */
    @XmlEnumValue("ZAZNAM NENALEZEN")
    ZAZNAM_NENALEZEN("ZAZNAM NENALEZEN"),

    /**
     * Kód skupiny nebyl nalezen.
     * 
     */
    @XmlEnumValue("SKUPINA NEEXISTUJE")
    SKUPINA_NEEXISTUJE("SKUPINA NEEXISTUJE"),

    /**
     * Registrace skupiny nebyla dokončena, chybí vygenerování klíčů pro generování AIFO.
     * 
     */
    @XmlEnumValue("REGISTRACE SKUPINY NEDOKONCENA")
    REGISTRACE_SKUPINY_NEDOKONCENA("REGISTRACE SKUPINY NEDOKONCENA"),

    /**
     * Vnitřní chyba systému IS ORG.
     * 
     */
    @XmlEnumValue("VNITRNI CHYBA")
    VNITRNI_CHYBA("VNITRNI CHYBA"),

    /**
     * Překročen počet povolených kompromitací v tomto dni.
     * 
     */
    @XmlEnumValue("PREKROCENY KOMPROMITACE")
    PREKROCENY_KOMPROMITACE("PREKROCENY KOMPROMITACE"),

    /**
     * Skupina nemá vygenerovány klíče pro generování AIFO.
     * 
     */
    @XmlEnumValue("NEEXISTUJI KLICE")
    NEEXISTUJI_KLICE("NEEXISTUJI KLICE"),

    /**
     * Aktuální stav nebyl rozpoznán.
     * 
     */
    @XmlEnumValue("STAV NEROZPOZNAN")
    STAV_NEROZPOZNAN("STAV NEROZPOZNAN"),

    /**
     * Časové omezení není plně specifikováno.
     * 
     */
    @XmlEnumValue("CAS NESPECIFIKOVAN")
    CAS_NESPECIFIKOVAN("CAS NESPECIFIKOVAN"),

    /**
     * Nelze aktivovat. Je povoleno šifrování komunikace, ale AIS nemá přiřazenu knihovnu.
     * 
     */
    @XmlEnumValue("DYN NELZE AKTIVOVAT")
    DYN_NELZE_AKTIVOVAT("DYN NELZE AKTIVOVAT"),

    /**
     * Nelze dekódovat dynamizované AIFO. Zkontrolujte si používanou knihovnu nebo aktualizujte veřejný certifikát ORG.
     * 
     */
    @XmlEnumValue("NELZE DESIFROVAT")
    NELZE_DESIFROVAT("NELZE DESIFROVAT"),

    /**
     * Používaná knihovna je zastaralá, z bezpečnostních důvodů nelze dekódovat.
     * 
     */
    @XmlEnumValue("STARA KNIHOVNA")
    STARA_KNIHOVNA("STARA KNIHOVNA"),

    /**
     * Používaná knihovna se blíží konci platnosti. Doporučujeme přejít na novější verzi.
     * 
     */
    @XmlEnumValue("UPOZORNENI KNIHOVNY")
    UPOZORNENI_KNIHOVNY("UPOZORNENI KNIHOVNY"),

    /**
     * Časový údaj ve zprávě s dynamizovaným AIFO je mimo přípustnou toleranci.
     * 
     */
    @XmlEnumValue("DYN CAS NEPLATNY")
    DYN_CAS_NEPLATNY("DYN CAS NEPLATNY"),

    /**
     * Požadovaná nová knihovna v požadavku nebyla nalezena.
     * 
     */
    @XmlEnumValue("KNIHOVNA NENALEZENA")
    KNIHOVNA_NENALEZENA("KNIHOVNA NENALEZENA"),

    /**
     * Knihovnu nelze z bezpečnostních důvodů aktivovat. Je potřeba použít novější verzi.
     * 
     */
    @XmlEnumValue("KNIHOVNU NELZE AKTIVOVAT")
    KNIHOVNU_NELZE_AKTIVOVAT("KNIHOVNU NELZE AKTIVOVAT"),

    /**
     * Obdrženo šifrované AIFO. Agenda nevyužívá šifrování směrem na IS ORG.
     * 
     */
    @XmlEnumValue("POUZE SIFROVANE AIFO")
    POUZE_SIFROVANE_AIFO("POUZE SIFROVANE AIFO"),

    /**
     * Obdrženo otevřené AIFO. Agenda využívá šifrování směrem na IS ORG.
     * 
     */
    @XmlEnumValue("POUZE NESIFROVANE AIFO")
    POUZE_NESIFROVANE_AIFO("POUZE NESIFROVANE AIFO");
    private final String value;

    OrgStatusDetailType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrgStatusDetailType fromValue(String v) {
        for (OrgStatusDetailType c: OrgStatusDetailType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
