
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.roseditacetypy.v1.NazevOsobyStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.PozastaveniPreruseniStavType;


/**
 * 
 *                 Osoba ve vztahu k agendě a jejímu agendovému místu v odpovědi z ROS
 *                 včetně stavu jednotlivých údajů. Některé údaje osoby jsou nepovinné
 *                 (služby S07 a S14 mají možnost na vstupu vybírat požadované údaje).
 *                 Vrácení prázného údaje (nastaven atribut nil = true) je možné jen v případě
 *                 hodnoty stavu = nedefinovany.
 *             
 * 
 * <p>Java class for OsobaAgendyHrStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaAgendyHrStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *         &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *         &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}NazevOsobyStavType" minOccurs="0"/&gt;
 *         &lt;element name="DatumVznikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumVznikuOpravneniStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="DatumZanikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumZanikuOpravneniStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaSidla" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AdresaSidlaStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="PozastaveniPreruseni" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}PozastaveniPreruseniStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaAgendyHrStavResponseType", propOrder = {
    "kodAgendy",
    "kodOvm",
    "nazevOsoby",
    "datumVznikuOpravneni",
    "datumZanikuOpravneni",
    "adresaSidla",
    "pozastaveniPreruseni"
})
@XmlSeeAlso({
    OsobaAgendyHrStavResponse2Type.class
})
public class OsobaAgendyHrStavResponseType {

    @XmlElement(name = "KodAgendy", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAgendy;
    @XmlElement(name = "KodOvm", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodOvm;
    @XmlElement(name = "NazevOsoby")
    protected NazevOsobyStavType nazevOsoby;
    @XmlElement(name = "DatumVznikuOpravneni", nillable = true)
    protected DatumVznikuOpravneniStavResponseType datumVznikuOpravneni;
    @XmlElement(name = "DatumZanikuOpravneni", nillable = true)
    protected DatumZanikuOpravneniStavResponseType datumZanikuOpravneni;
    @XmlElement(name = "AdresaSidla", nillable = true)
    protected AdresaSidlaStavResponseType adresaSidla;
    @XmlElement(name = "PozastaveniPreruseni")
    protected PozastaveniPreruseniStavType pozastaveniPreruseni;

    /**
     * Gets the value of the kodAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAgendy() {
        return kodAgendy;
    }

    /**
     * Sets the value of the kodAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAgendy(String value) {
        this.kodAgendy = value;
    }

    /**
     * Gets the value of the kodOvm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodOvm() {
        return kodOvm;
    }

    /**
     * Sets the value of the kodOvm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodOvm(String value) {
        this.kodOvm = value;
    }

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link NazevOsobyStavType }
     *     
     */
    public NazevOsobyStavType getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevOsobyStavType }
     *     
     */
    public void setNazevOsoby(NazevOsobyStavType value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the datumVznikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumVznikuOpravneniStavResponseType }
     *     
     */
    public DatumVznikuOpravneniStavResponseType getDatumVznikuOpravneni() {
        return datumVznikuOpravneni;
    }

    /**
     * Sets the value of the datumVznikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumVznikuOpravneniStavResponseType }
     *     
     */
    public void setDatumVznikuOpravneni(DatumVznikuOpravneniStavResponseType value) {
        this.datumVznikuOpravneni = value;
    }

    /**
     * Gets the value of the datumZanikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZanikuOpravneniStavResponseType }
     *     
     */
    public DatumZanikuOpravneniStavResponseType getDatumZanikuOpravneni() {
        return datumZanikuOpravneni;
    }

    /**
     * Sets the value of the datumZanikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZanikuOpravneniStavResponseType }
     *     
     */
    public void setDatumZanikuOpravneni(DatumZanikuOpravneniStavResponseType value) {
        this.datumZanikuOpravneni = value;
    }

    /**
     * Gets the value of the adresaSidla property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaSidlaStavResponseType }
     *     
     */
    public AdresaSidlaStavResponseType getAdresaSidla() {
        return adresaSidla;
    }

    /**
     * Sets the value of the adresaSidla property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaSidlaStavResponseType }
     *     
     */
    public void setAdresaSidla(AdresaSidlaStavResponseType value) {
        this.adresaSidla = value;
    }

    /**
     * Gets the value of the pozastaveniPreruseni property.
     * 
     * @return
     *     possible object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public PozastaveniPreruseniStavType getPozastaveniPreruseni() {
        return pozastaveniPreruseni;
    }

    /**
     * Sets the value of the pozastaveniPreruseni property.
     * 
     * @param value
     *     allowed object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public void setPozastaveniPreruseni(PozastaveniPreruseniStavType value) {
        this.pozastaveniPreruseni = value;
    }

}
