
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.ProvozovnyStavType;


/**
 * 
 *                 Společný předek pro fyzickou a právnickou osobu v odpovědi z ROS včetně stavu jednotlivých údajů
 *                 a identifikátoru poslední změny osoby.
 *                 Odlišení povinných a nepovinných údajů (služby S05 a S06 nemají možnost na vstupu vybírat 
 *                 požadované údaje).
 *             
 * 
 * <p>Java class for OsobaStavResponseAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaStavResponseAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="IcoKontrola" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoKontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
 *         &lt;element name="DatoveSchranky" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatoveSchrankyStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="PravniForma" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravniFormaStavResponseType"/&gt;
 *         &lt;element name="PravniStav" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravniStavStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Provozovny" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}ProvozovnyStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaStavResponseAbstractType", propOrder = {
    "ico",
    "icoKontrola",
    "idZmeny",
    "datoveSchranky",
    "pravniForma",
    "pravniStav",
    "provozovny"
})
@XmlSeeAlso({
    FyzickaOsobaStavResponseType.class,
    PravnickaOsobaStavResponseType.class
})
public abstract class OsobaStavResponseAbstractType {

    @XmlElement(name = "Ico")
    protected int ico;
    @XmlElement(name = "IcoKontrola")
    protected byte[] icoKontrola;
    @XmlElement(name = "IdZmeny")
    protected long idZmeny;
    @XmlElement(name = "DatoveSchranky")
    protected DatoveSchrankyStavResponseType datoveSchranky;
    @XmlElement(name = "PravniForma", required = true)
    protected PravniFormaStavResponseType pravniForma;
    @XmlElement(name = "PravniStav")
    protected PravniStavStavResponseType pravniStav;
    @XmlElement(name = "Provozovny")
    protected ProvozovnyStavType provozovny;

    /**
     * Gets the value of the ico property.
     * 
     */
    public int getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     */
    public void setIco(int value) {
        this.ico = value;
    }

    /**
     * Gets the value of the icoKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIcoKontrola() {
        return icoKontrola;
    }

    /**
     * Sets the value of the icoKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIcoKontrola(byte[] value) {
        this.icoKontrola = value;
    }

    /**
     * Gets the value of the idZmeny property.
     * 
     */
    public long getIdZmeny() {
        return idZmeny;
    }

    /**
     * Sets the value of the idZmeny property.
     * 
     */
    public void setIdZmeny(long value) {
        this.idZmeny = value;
    }

    /**
     * Gets the value of the datoveSchranky property.
     * 
     * @return
     *     possible object is
     *     {@link DatoveSchrankyStavResponseType }
     *     
     */
    public DatoveSchrankyStavResponseType getDatoveSchranky() {
        return datoveSchranky;
    }

    /**
     * Sets the value of the datoveSchranky property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatoveSchrankyStavResponseType }
     *     
     */
    public void setDatoveSchranky(DatoveSchrankyStavResponseType value) {
        this.datoveSchranky = value;
    }

    /**
     * Gets the value of the pravniForma property.
     * 
     * @return
     *     possible object is
     *     {@link PravniFormaStavResponseType }
     *     
     */
    public PravniFormaStavResponseType getPravniForma() {
        return pravniForma;
    }

    /**
     * Sets the value of the pravniForma property.
     * 
     * @param value
     *     allowed object is
     *     {@link PravniFormaStavResponseType }
     *     
     */
    public void setPravniForma(PravniFormaStavResponseType value) {
        this.pravniForma = value;
    }

    /**
     * Gets the value of the pravniStav property.
     * 
     * @return
     *     possible object is
     *     {@link PravniStavStavResponseType }
     *     
     */
    public PravniStavStavResponseType getPravniStav() {
        return pravniStav;
    }

    /**
     * Sets the value of the pravniStav property.
     * 
     * @param value
     *     allowed object is
     *     {@link PravniStavStavResponseType }
     *     
     */
    public void setPravniStav(PravniStavStavResponseType value) {
        this.pravniStav = value;
    }

    /**
     * Gets the value of the provozovny property.
     * 
     * @return
     *     possible object is
     *     {@link ProvozovnyStavType }
     *     
     */
    public ProvozovnyStavType getProvozovny() {
        return provozovny;
    }

    /**
     * Sets the value of the provozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvozovnyStavType }
     *     
     */
    public void setProvozovny(ProvozovnyStavType value) {
        this.provozovny = value;
    }

}
