
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ZmenaAtributuType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ZmenaAtributuType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="CISLO_DOMOVNI"/&gt;
 *     &lt;enumeration value="CISLO_OR_PISMENO"/&gt;
 *     &lt;enumeration value="NAZEV"/&gt;
 *     &lt;enumeration value="PSC"/&gt;
 *     &lt;enumeration value="TYP_CISLO_DOMOVNI"/&gt;
 *     &lt;enumeration value="STAT_KOD"/&gt;
 *     &lt;enumeration value="REGSOUDR_KOD"/&gt;
 *     &lt;enumeration value="KRAJ_1960_KOD"/&gt;
 *     &lt;enumeration value="VUSC_KOD"/&gt;
 *     &lt;enumeration value="OKRES_KOD"/&gt;
 *     &lt;enumeration value="ORP_KOD"/&gt;
 *     &lt;enumeration value="POU_KOD"/&gt;
 *     &lt;enumeration value="OBEC_KOD"/&gt;
 *     &lt;enumeration value="SPRAVOBV_KOD"/&gt;
 *     &lt;enumeration value="MOP_KOD"/&gt;
 *     &lt;enumeration value="MOMC_KOD"/&gt;
 *     &lt;enumeration value="COBCE_KOD"/&gt;
 *     &lt;enumeration value="KATUZ_KOD"/&gt;
 *     &lt;enumeration value="ULICE_KOD"/&gt;
 *     &lt;enumeration value="IDENTIFIKACNI_PARCELA_ID"/&gt;
 *     &lt;enumeration value="STAVOBJ_KOD"/&gt;
 *     &lt;enumeration value="TEA"/&gt;
 *     &lt;enumeration value="ZMENA_GRAFIKY"/&gt;
 *     &lt;enumeration value="SPRAVNI_OBEC_KOD"/&gt;
 *     &lt;enumeration value="SPRAVNI_MOMC_KOD"/&gt;
 *     &lt;enumeration value="DRUH_POZEMKU_KOD"/&gt;
 *     &lt;enumeration value="VYMERA_PARCELY"/&gt;
 *     &lt;enumeration value="CISLO_DOMOVNI_HODNOTA"/&gt;
 *     &lt;enumeration value="BONIT_DIL"/&gt;
 *     &lt;enumeration value="ZPUSOB_OCHRANY"/&gt;
 *     &lt;enumeration value="VO_KOD"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ZmenaAtributuType")
@XmlEnum
public enum ZmenaAtributuType {

    CISLO_DOMOVNI,
    CISLO_OR_PISMENO,

    /**
     * Změna názvu prvku [ST,RS,KR,VC,OK,OP,PU,OB,SP,MP,MC,CO,KU,ZJ,UL,PO].
     * 
     */
    NAZEV,
    PSC,
    TYP_CISLO_DOMOVNI,

    /**
     * Změna nadřazeného státu.
     * 
     */
    STAT_KOD,

    /**
     * Změna nadřazeného regionu soudržnosti.
     * 
     */
    REGSOUDR_KOD,

    /**
     * Změna nadřazeného kraje 1960.
     * 
     */
    KRAJ_1960_KOD,

    /**
     * Změna nadřazeného VÚSC.
     * 
     */
    VUSC_KOD,

    /**
     * Změna nadřazeného okresu.
     * 
     */
    OKRES_KOD,

    /**
     * Změna nadřazeného ORP.
     * 
     */
    ORP_KOD,

    /**
     * Změna nadřazeného POU.
     * 
     */
    POU_KOD,

    /**
     * Změna nadřazené obce.
     * 
     */
    OBEC_KOD,

    /**
     * Změna nadřazeného správního obvodu.
     * 
     */
    SPRAVOBV_KOD,

    /**
     * Změna nadřazeného MOP.
     * 
     */
    MOP_KOD,

    /**
     * Změna nadřazeného MOMC.
     * 
     */
    MOMC_KOD,

    /**
     * Změna nadřazené části obce.
     * 
     */
    COBCE_KOD,

    /**
     * Změna přirazeného katastrálního území.
     * 
     */
    KATUZ_KOD,

    /**
     * Změna přirazené ulice.
     * 
     */
    ULICE_KOD,

    /**
     * Změna přirazené parcely.
     * 
     */
    IDENTIFIKACNI_PARCELA_ID,

    /**
     * Změna přirazeného stavebního objektu.
     * 
     */
    STAVOBJ_KOD,

    /**
     * Změna TEA.
     * 
     */
    TEA,

    /**
     * Změna grafiky prvku.
     * 
     */
    ZMENA_GRAFIKY,

    /**
     * Změna správní obce.
     * 
     */
    SPRAVNI_OBEC_KOD,

    /**
     * Změna správní MOMC.
     * 
     */
    SPRAVNI_MOMC_KOD,

    /**
     * Změna druhu pozemku parcely.
     * 
     */
    DRUH_POZEMKU_KOD,

    /**
     * Změna na výměre parcely.
     * 
     */
    VYMERA_PARCELY,

    /**
     * Změna čísla domovního stavebního objektu.
     * 
     */
    CISLO_DOMOVNI_HODNOTA,

    /**
     * Změna bonitního dílu parcely.
     * 
     */
    BONIT_DIL,

    /**
     * Změna způsobu ochrany.
     * 
     */
    ZPUSOB_OCHRANY,
    VO_KOD;

    public String value() {
        return name();
    }

    public static ZmenaAtributuType fromValue(String v) {
        return valueOf(v);
    }

}
