@echo off
echo Vytvareni key store a trust store pro SSL komunikaci 
echo Projekt ISZR - (c) AutoCont CZ a.s. All rights reserved
echo .......................................................

rem Typ prostredi.
rem Je mozne zadat pomoci teto konstanty, nebo pomoci prvniho parametry %1
rem Nastaveni promennych daneho prostredi je ulozeno v souboru set-XXX-env.bat
rem set ISZR_ENV_TYPE=

rem ------------------- Nastaveni defaultniho prostredi --------------------
rem Kodova stranka vygenerovanych souboru - nastav v prostredi pouze jednou
rem set JAVA_OPTS=%JAVA_OPTS% -Dfile.encoding=UTF-8

rem Soubory certifikacnich autorit
rem set ROOT_CER=root-ca.cer
rem set SUB_ROOT_CER=sub-root-ca.cer

rem Prostup ke klientskemu certifikatu a privatnimu klici
rem set CLIENT_PFX=client.pfx
rem set CLIENT_PASS=

rem Definice trust store a key store
set TRUSTSTORE=truststore.jks
set KEYSTORE=keystore.jks
set PASSWD=heslo

rem Cesta k nastrojum Javy
set JAVA_HOME=C:\Program Files\Java\jdk-18.0.1.1
set JAVA_BIN="%JAVA_HOME%\bin"

rem Nastaveni promennych prostredi
if not [%1] == [] set ISZR_ENV_TYPE=%1
if [%ISZR_ENV_TYPE%] == [] goto noSpecEnv
goto runSpecEnv


:runSpecEnv
call setup-%ISZR_ENV_TYPE%-env.bat

rem ------------------- Vytvareni ulozist --------------------

echo Vytvarim trust store
call %JAVA_BIN%\keytool -alias iszr_root -importcert -file %ROOT_CER% -keystore %TRUSTSTORE% -storepass %PASSWD% -noprompt -trustcacerts

call %JAVA_BIN%\keytool -alias iszr_sub_root -importcert -file %SUB_ROOT_CER% -keystore %TRUSTSTORE%  -storepass %PASSWD% -noprompt -trustcacerts

echo Vytvarim key store
call %JAVA_BIN%\keytool -importkeystore -srckeystore %CLIENT_PFX% -srcstoretype pkcs12 -srcstorepass %CLIENT_PASS% -destkeystore %KEYSTORE% -deststoretype jks -deststorepass %PASSWD%

if %CLIENT_PASS% == %PASSWD% goto finish

:chpasswd
echo..................................................................
echo JE NUTNE ZMENIT HESLO PRO PRISTUP K PRIVATNIMU KLICI Z %CLIENT_PASS% NA %PASSWD%!!!
echo..................................................................
goto :finish

rem ------------------- Uprava key store --------------------

rem Zmena hesla pro pristup k privatnimu klici
rem ------------------------------------------
rem Heslo pro pristup k privatnimu klici musi byt stejne, jako je heslo pro pristup do uloyiste keystore.
rem Pokud byl privatni klic exportovan pod jinym heslem, pak je nutne toto heslo upravit.
rem (Toto heslo lze zmenit jiz pri importu klice do uloziste).
rem
rem Zjisteni aliasu, pod kterym byl privatni klic naimpostovan 
rem %JAVA_BIN%\keytool -list -keystore %KEYSTORE% -storepass %PASSWD%
rem
rem Zmena hesla pro pristup k privatnimu klici
rem set CLIENT_ALIAS={7b8f66fc-8875-4b7d-895f-b3a908f88edb}
rem %JAVA_BIN%\keytool -keypasswd -alias %CLIENT_ALIAS% -keypass %CLIENT_PASS% -new %PASSWD% -keystore %KEYSTORE% -storepass %PASSWD%
rem
rem Zmena aliasu privatniho klice
rem %JAVA_BIN%\keytool -changealias -alias %CLIENT_ALIAS% -destalias iszr_client -keystore %KEYSTORE% -storepass %PASSWD%  

:noSpecEnv
echo..................................................................
echo Neni devinovane prostredi. Zadej parametr nebo nastava ISZR_ENV_TYPE!!!
echo..................................................................
goto end

:finish                               
echo Uloziste byla vytvorena.
goto end

:end
set ISZR_ENV_TYPE=
pause
